Subject: bug#17148: 23.1; Revert Buffer

From: Glenn Morris <[email-masked]>
Date: Wed, 02 Apr 2014 02:45:38 -0400

Stefan Monnier wrote:

> Because revert-buffer is meant to handle the file's content, not its
> read-only setting.

File permission bits can be viewed as just another form of content.

> E.g. maybe the buffer is read-only because the user hit C-x C-q.

Personally I would not mind seeing a non-greyed-out menu-item for Revert
Buffer in such a case. I have modified the buffer ('s meta-data)
compared to how it is on disk, so I might want to revert it.